Bug 569055 - update it to 1.4.2
Summary: update it to 1.4.2
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: libpng
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Tom Lane
QA Contact: Fedora Extras Quality Assurance
URL: http://www.libpng.org/pub/png/libpng....
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-02-27 20:35 UTC by acount closed by user
Modified: 2013-07-03 03:28 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-27 00:56:28 UTC
Type: ---


Attachments (Terms of Use)

Description acount closed by user 2010-02-27 20:35:46 UTC
extensive changelog at: http://www.libpng.org/pub/png/src/libpng-1.4.0-README.txt

Comment 1 Tom Lane 2010-02-27 20:53:58 UTC
I'm in no big hurry to do that; I don't think the 1.4 release series has gotten much use yet.

Comment 2 acount closed by user 2010-03-02 21:09:09 UTC
(In reply to comment #1)

> I'm in no big hurry to do that; I don't think the 1.4 release series has gotten
> much use yet.    


what is rawhide for ?

kernel, xorg, ghostscript... are changing when upstream releases new version.

Comment 3 acount closed by user 2010-03-16 11:27:01 UTC
nobody cares

closing...

Comment 4 acount closed by user 2010-04-05 21:06:58 UTC
Changes to Libpng from version 1.2.42 to 1.4.0 (January 4, 2010): http://www.libpng.org/pub/png/src/libpng-1.2.x-to-1.4.x-summary.txt

Comment 5 acount closed by user 2010-04-05 21:09:04 UTC
(In reply to comment #0)

> extensive changelog at:
> http://www.libpng.org/pub/png/src/libpng-1.4.0-README.txt    

link broken, the new one is:

http://www.libpng.org/pub/png/src/libpng-1.4.1-README.txt

Comment 6 acount closed by user 2010-05-23 10:02:17 UTC
1.4.2 changelog: http://www.libpng.org/pub/png/src/libpng-1.4.2-README.txt

Comment 7 acount closed by user 2010-06-03 14:21:36 UTC
Test results and ABI changes analysis for the library libpng on x86: http://linuxtesting.org/upstream-tracker/versions/libpng.html

Comment 8 Chen Lei 2010-06-18 09:32:39 UTC
Hi Tom,

I think F14 is a good chance to update libpng 1.4 for 2 reason:

1. we'll have a mass-rebuilt in F14 because gcc 4.5, so rebuit all dependencies by hand could be avoid.
2. libpng upstream support parallel install libpng10 libpng12 and libpng14, thus we won't break LSB 4.0.

Also, arch and gentoo already use libpng14 as their default libpng, most packages works well with libpng14 instead of libpng12

Comment 9 acount closed by user 2010-06-27 00:56:28 UTC
Closed.

I'm sorry, I'm going to delete my bz count.


Note You need to log in before you can comment on or make changes to this bug.